LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XSidebarPanel Interface Reference

Optional interface of sidebar panels. More...

`import"XSidebarPanel.idl";`

## Public Member Functions
LayoutSize | getHeightForWidth ([in] long nWidth)
| For a given width of the container the layouter asks every ui element for its optimal height. More...
long | getMinimalWidth ()
| Minimal possible width of this panel. More...

## Detailed Description

Optional interface of sidebar panels.

## Member Function Documentation

LayoutSize getHeightForWidth | ( | [in] long | nWidth | ) |

For a given width of the container the layouter asks every ui element for its optimal height.

The height to which a ui element is set may differ from the returned value.

The height is set via the XWindow interface.

long getMinimalWidth | ( |  | ) |

Minimal possible width of this panel.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XSidebarPanel.idl